<?php
/* Mantenimiento de los registros de la tabla ALM_CajaChicaArhivos redefinidos por el usaurio */
class ALM_CajaChicaArhivosDP extends BaseALM_CajaChicaArhivosDP
{
    public static function recuperarId( $s_IdCajaDet )
    {
        $s_Sql =    "SELECT IF( MAX( IdSecuencia) IS NULL, 1, MAX( IdSecuencia ) + 1 ) i_Id FROM ALM_CajaChicaArhivos WHERE IdCajaDet='$s_IdCajaDet';";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>